## mx4j.tools.heartbeat
Class HeartBeatConnectorFactory

    java.lang.Object
      mx4j.tools.heartbeat.HeartBeatConnectorFactory

public class HeartBeatConnectorFactory
extends java.lang.Object

Version:
  $Revision: 1.6 $

Method Summary
`RemoteMBeanServer` `getConnector(java.lang.Object connType, java.lang.Object address)`
`static HeartBeatConnectorFactory` `getFactory()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFactory

    public static HeartBeatConnectorFactory getFactory()

### getConnector

    public RemoteMBeanServer getConnector(java.lang.Object connType,
                                          java.lang.Object address)
                                   throws ConnectorException

  Throws:
    `ConnectorException`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.